Bug 2068066

Summary: CVE-2018-25032 zlib: A flaw found in zlib when compressing (not decompressing) certain inputs [fedora-all]
Product: [Fedora] Fedora Reporter: Sandipan Roy <saroy>
Component: zlibAssignee: Lukas Javorsky <ljavorsk>
Status: ON_QA --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 35CC: fweimer, jaromir.capik, jchaloup, ljavorsk, mmuzila, odubaj, panovotn, pkubat, praiskup, samuel-rhbugs, singingbush
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 2067945, 2069002    

Description Sandipan Roy 2022-03-24 11:43:13 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Sandipan Roy 2022-03-24 11:43:17 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2067945,2068066

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Lukas Javorsky 2022-04-07 13:18:18 UTC
We aim to rebase the zlib package in the Fedora distribution, however, due to the long list of downstream IBM patches we have to fix them as well with the help of our IBM colleagues.

Due to the complexity of this task, it may take quite a lot of time and capacity of our team.

In case of any updates, I'll provide them in this Bugzilla comment section.

Comment 4 Samael 2022-06-18 10:54:45 UTC
Is this the cause of:


Error: NodejsNpmBuilder:NpmPack - NPM Failed: npm ERR! code Z_DATA_ERROR
npm ERR! errno -3
npm ERR! zlib: invalid distance too far back


https://github.com/aws/aws-sam-cli/issues/3965
https://stackoverflow.com/questions/67622227/sam-build-fails-with-build-failed-error-nodejsnpmbuildernpmpack-npm-failed

Comment 5 Lukas Javorsky 2022-08-10 07:51:23 UTC
I forgot to update this Bugzilla.

The new zlib-1.2.12 is available since Fedora 37. It won't be available for Fedora 36 and 35. I will only backport the fix for this CVE.

Comment 6 Fedora Update System 2022-08-10 08:54:31 UTC
FEDORA-2022-3a92250fd5 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3a92250fd5

Comment 7 Fedora Update System 2022-08-10 08:54:33 UTC
FEDORA-2022-b58a85e167 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-b58a85e167

Comment 8 Lukas Javorsky 2022-08-10 08:56:39 UTC
Hello Samael,

I haven't encountered this issue yet.

I've just pushed the patch for this CVE into the testing, so the automation will update this Bugzilla when the package is pushed to stable.

Comment 9 Fedora Update System 2022-08-12 01:41:02 UTC
FEDORA-2022-b58a85e167 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-b58a85e167`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-b58a85e167

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-08-12 02:30:51 UTC
FEDORA-2022-3a92250fd5 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-3a92250fd5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-3a92250fd5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.